<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/container"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="bottom"
        android:background="@drawable/game_detail_more_dialog_background"
        android:descendantFocusability="blocksDescendants">

        <View
            android:id="@+id/handle_view"
            android:layout_width="32dp"
            android:layout_height="4dp"
            android:layout_marginTop="12dp"
            android:background="@drawable/download_dialog_close_hint"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:id="@+id/drag_close"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:clickable="false"
            app:layout_constraintBottom_toTopOf="@id/divider_line_1"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/titleTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="16dp"
            android:includeFontPadding="false"
            android:textColor="@color/text_primary"
            android:textSize="16sp"
            android:text="分享"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/handle_view" />

        <View
            android:id="@+id/divider_line_1"
            android:layout_width="match_parent"
            android:layout_height="0.5dp"
            android:layout_marginTop="16dp"
            android:background="@color/ui_divider"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/titleTv" />


        <LinearLayout
            android:id="@+id/shareContainerOne"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="19dp"
            android:orientation="horizontal"
            android:paddingLeft="16dp"
            android:paddingRight="16dp"
            app:layout_constraintTop_toBottomOf="@+id/divider_line_1">

            <LinearLayout
                android:id="@+id/wechatItem"
                style="@style/game_collection_share_dialog_item">

                <ImageView
                    style="@style/game_collection_share_dialog_icon"
                    android:src="@drawable/icon_gamedetail_share_wechat" />

                <TextView
                    style="@style/game_collection_share_dialog_text"
                    android:text="微信好友" />
            </LinearLayout>

            <View style="@style/game_collection_share_dialog_blank" />

            <LinearLayout
                android:id="@+id/wechatMomentsItem"
                style="@style/game_collection_share_dialog_item">

                <ImageView
                    style="@style/game_collection_share_dialog_icon"
                    android:src="@drawable/icon_gamedetail_share_pyqun" />

                <TextView
                    style="@style/game_collection_share_dialog_text"
                    android:text="朋友圈" />
            </LinearLayout>

            <View style="@style/game_collection_share_dialog_blank" />

            <LinearLayout
                android:id="@+id/qqItem"
                style="@style/game_collection_share_dialog_item">

                <ImageView
                    style="@style/game_collection_share_dialog_icon"
                    android:src="@drawable/icon_gamedetail_share_qq" />

                <TextView
                    style="@style/game_collection_share_dialog_text"
                    android:text="QQ好友" />
            </LinearLayout>

            <View style="@style/game_collection_share_dialog_blank" />

            <LinearLayout
                android:id="@+id/qqZoneItem"
                style="@style/game_collection_share_dialog_item">

                <ImageView
                    style="@style/game_collection_share_dialog_icon"
                    android:src="@drawable/icon_gamedetail_share_qqzone" />

                <TextView
                    style="@style/game_collection_share_dialog_text"
                    android:text="QQ空间" />
            </LinearLayout>

            <View style="@style/game_collection_share_dialog_blank" />

            <LinearLayout
                android:id="@+id/weiboItem"
                style="@style/game_collection_share_dialog_item">

                <ImageView
                    style="@style/game_collection_share_dialog_icon"
                    android:src="@drawable/icon_gamedetail_share_weibo" />

                <TextView
                    style="@style/game_collection_share_dialog_text"
                    android:text="新浪微博" />
            </LinearLayout>

        </LinearLayout>

        <LinearLayout
            android:id="@+id/shareContainerTwo"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:orientation="horizontal"
            android:paddingLeft="16dp"
            android:paddingRight="16dp"
            app:layout_constraintTop_toBottomOf="@+id/shareContainerOne">

            <LinearLayout
                android:id="@+id/smsItem"
                style="@style/game_collection_share_dialog_item">

                <ImageView
                    style="@style/game_collection_share_dialog_icon"
                    android:src="@drawable/icon_gamedetail_share_sms" />

                <TextView
                    style="@style/game_collection_share_dialog_text"
                    android:text="短信" />
            </LinearLayout>

            <View style="@style/game_collection_share_dialog_blank" />

            <LinearLayout
                android:id="@+id/copyItem"
                style="@style/game_collection_share_dialog_item">

                <ImageView
                    style="@style/game_collection_share_dialog_icon"
                    android:src="@drawable/ic_share_copy" />

                <TextView
                    style="@style/game_collection_share_dialog_text"
                    android:text="复制链接" />
            </LinearLayout>

            <View style="@style/game_collection_share_dialog_blank" />

            <Space style="@style/game_collection_share_dialog_item" />

            <View style="@style/game_collection_share_dialog_blank" />

            <Space style="@style/game_collection_share_dialog_item" />

            <View style="@style/game_collection_share_dialog_blank" />

            <Space style="@style/game_collection_share_dialog_item" />
        </LinearLayout>

        <TextView
            android:id="@+id/cancelTv"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginLeft="16dp"
            android:layout_marginTop="20dp"
            android:layout_marginRight="16dp"
            android:layout_marginBottom="16dp"
            style="@style/GrayLightButton"
            android:gravity="center"
            android:text="取消"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/shareContainerTwo" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</FrameLayout>